Class GetArtistsAlbumsRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<Paging<AlbumSimplified>, GetArtistsAlbumsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<Paging<AlbumSimplified>, GetArtistsAlbumsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataPagingRequest.Builder<AlbumSimplified, GetArtistsAlbumsRequest.Builder>
se.michaelthelin.spotify.requests.data.artists.GetArtistsAlbumsRequest.Builder
- All Implemented Interfaces:
IPagingRequestBuilder<AlbumSimplified, GetArtistsAlbumsRequest.Builder>, IRequest.Builder<Paging<AlbumSimplified>, GetArtistsAlbumsRequest.Builder>
- Enclosing class:
GetArtistsAlbumsRequest
public static final class GetArtistsAlbumsRequest.Builder
extends AbstractDataPagingRequest.Builder<AlbumSimplified, GetArtistsAlbumsRequest.Builder>
Builder class for building a
GetArtistsAlbumsRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionalbum_type(String album_type) Deprecated.build()The request build method.The artist ID setter.include_groups(String include_groups) The include groups filter setter.The limit setter.market(CountryCode market) The market filter setter.The offset setter.protected GetArtistsAlbumsRequest.Builderself()Return this instance to simulate a self-type.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newGetArtistsAlbumsRequest.Builderinstance.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.
-
-
Method Details
-
id
The artist ID setter.- Parameters:
id- The Spotify ID for the artist.- Returns:
- A
GetArtistsAlbumsRequest.Builder. - See Also:
-
album_type
Deprecated.Useinclude_groups(String)instead.The album type filter setter.- Parameters:
album_type- Optional. A comma-separated list of keywords that will be used to filter the response. If not supplied, all album types will be returned. Valid values are:album,single,appears_onandcompilation.- Returns:
- A
GetArtistsAlbumsRequest.Builder.
-
include_groups
The include groups filter setter.- Parameters:
include_groups- Optional. A comma-separated list of keywords that will be used to filter the response. If not supplied, all album types will be returned. Valid values are:album,single,appears_onandcompilation.- Returns:
- A
GetArtistsAlbumsRequest.Builder. - See Also:
-
market
The market filter setter.- Parameters:
market- Optional. An ISO 3166-1 alpha-2 country code. Supply this parameter to limit the response to one particular geographical market.- Returns:
- A
GetArtistsAlbumsRequest.Builder. - See Also:
-
limit
The limit setter.- Parameters:
limit- Optional. The number of album objects to return. Default: 20. Minimum: 1. Maximum: 50.- Returns:
- A
GetArtistsAlbumsRequest.Builder.
-
offset
The offset setter.- Parameters:
offset- Optional. The index of the first album to return. Default: 0 (i.e., the first album). Use withlimit(Integer)to get the next set of albums.- Returns:
- A
GetArtistsAlbumsRequest.Builder.
-
build
The request build method.- Returns:
- A custom
GetArtistsAlbumsRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<Paging<AlbumSimplified>, GetArtistsAlbumsRequest.Builder>- Returns:
- This instance.
-
include_groups(String)instead.